Bug 447520 - gtk2-debuginfo collides with gail-debuginfo
gtk2-debuginfo collides with gail-debuginfo
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On: 447708
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 05:50 EDT by Matěj Cepl
Modified: 2018-04-11 07:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-23 00:08:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2008-05-20 05:50:54 EDT
Description of problem:

[root@hubmaier ~]# yum upgrade -y gtk2-debuginfo
Loaded plugins: allowdowngrade, changelog, downloadonly, protectbase, refresh-
              : packagekit, security, versionlock
Excluding Packages in global exclude list
Finished
Reading version lock configuration
0 packages excluded due to repository protections
Skipping security plugin, no data
Setting up Upgrade Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package gtk2-debuginfo.x86_64 0:2.13.0-2.fc10 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 gtk2-debuginfo          x86_64     2.13.0-2.fc10    rawhide-debuginfo  7.6 M

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total size: 7.6 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 241, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 193, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 405, in doTransaction
    errstring += '  %s\n' % descr 
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 143:
ordinal not in range(128)
[root@hubmaier ~]# rpm -Uvh
/var/cache/yum/rawhide-debuginfo/packages/gtk2-debuginfo-2.13.0-2.fc10.x86_64.rpm 
Preparing...                ########################################### [100%]
	soubor /usr/lib/debug/usr/lib64/gtk-2.0/modules/libferret.so.debug z instalace
gtk2-debuginfo-2.13.0-2.fc10.x86_64 koliduje se souborem z balíčku
gail-debuginfo-1.22.1-1.fc9.x86_64
	soubor /usr/lib/debug/usr/lib64/gtk-2.0/modules/libgail.so.debug z instalace
gtk2-debuginfo-2.13.0-2.fc10.x86_64 koliduje se souborem z balíčku
gail-debuginfo-1.22.1-1.fc9.x86_64
	soubor /usr/lib/debug/usr/lib64/libgailutil.so.18.0.1.debug z instalace
gtk2-debuginfo-2.13.0-2.fc10.x86_64 koliduje se souborem z balíčku
gail-debuginfo-1.22.1-1.fc9.x86_64
[root@hubmaier ~]# 

I think that all required information is above.
Comment 1 Matthias Clasen 2008-05-23 00:08:13 EDT
There is unfortunately no way to make gtk2-debuginfo obsolete gail-debuginfo.
You'll have to remove the gail-debuginfo package manually.

Note You need to log in before you can comment on or make changes to this bug.